"use strict";
function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var common_1 = require("@angular/common");
var forms_1 = require("@angular/forms");
var angular_1 = require("@ui-model/angular");
var modal_component_1 = require("./components/modal/modal.component");
var pagination_component_1 = require("./components/pagination/pagination.component");
var panel_component_1 = require("./components/panel/panel.component");
var radio_group_component_1 = require("./components/radio-group/radio-group.component");
var table_component_1 = require("./components/table/table.component");
var tree_node_component_1 = require("./components/tree-node/tree-node.component");
var calendar_component_1 = require("./components/calendar/calendar.component");
var type_ahead_component_1 = require("./components/type-ahead/type-ahead.component");
var tooltip_component_1 = require("./components/tooltip/tooltip.component");
var field_error_component_1 = require("./components/field-error/field-error.component");
var UiModelBootstrapModule = (function () {
    function UiModelBootstrapModule() {
    }
    return UiModelBootstrapModule;
}());
UiModelBootstrapModule.decorators = [
    { type: core_1.NgModule, args: [{
                imports: [
                    common_1.CommonModule,
                    forms_1.FormsModule,
                    forms_1.ReactiveFormsModule,
                    angular_1.UiModelModule,
                ],
                declarations: [
                    modal_component_1.ModalComponent,
                    pagination_component_1.PaginationComponent,
                    panel_component_1.PanelComponent,
                    radio_group_component_1.RadioGroupComponent,
                    table_component_1.TableComponent,
                    tree_node_component_1.TreeNodeComponent,
                    calendar_component_1.CalendarComponent,
                    type_ahead_component_1.TypeAheadComponent,
                    tooltip_component_1.TooltipComponent,
                    field_error_component_1.FieldErrorComponent,
                ],
                exports: [
                    angular_1.UiModelModule,
                    modal_component_1.ModalComponent,
                    pagination_component_1.PaginationComponent,
                    panel_component_1.PanelComponent,
                    radio_group_component_1.RadioGroupComponent,
                    table_component_1.TableComponent,
                    tree_node_component_1.TreeNodeComponent,
                    calendar_component_1.CalendarComponent,
                    type_ahead_component_1.TypeAheadComponent,
                    tooltip_component_1.TooltipComponent,
                    field_error_component_1.FieldErrorComponent,
                ],
            },] },
];
/** @nocollapse */
UiModelBootstrapModule.ctorParameters = function () { return []; };
exports.UiModelBootstrapModule = UiModelBootstrapModule;
__export(require("./components/modal"));
__export(require("./components/pagination"));
__export(require("./components/panel"));
__export(require("./components/radio-group"));
__export(require("./components/table"));
__export(require("./components/tree-node"));
__export(require("./components/calendar"));
__export(require("./components/type-ahead"));
__export(require("./components/tooltip"));
//# sourceMappingURL=ui-model-bootstrap.module.js.map